Imports System.ComponentModel
Imports System.Drawing
Imports System.Windows.Forms

Public Class TreeAdapter
  Private Tree As TreeView

  Public Sub New(ByVal tr As TreeView)
    MyBase.New()
    Tree = tr
  End Sub

  Public Sub addText(ByVal sw As Swimmer)
    Dim scnt As String
    Dim nod As TreeNode

    nod = Tree.Nodes.Add(sw.getName)
    nod.ExpandAll()
    nod.Nodes.Add(sw.getTime.ToString)
  End Sub
End Class
